---
# This playbook is used to install cheetah and supporting test tools for a CPU only configuration.
# It installs all cheetah dependencies as part of the cheetah role
- name: Install Test Machine
  hosts: pss-test-machine-0_2_1_C1_G0_F0
  pre_tasks:
    - name: Include common variable check task
      ansible.builtin.include_role:
        name: common
        tasks_from: check_common_vars.yml
  roles:
    - role: cheetah
    - role: protest
  vars:
    os: ubuntu-22.04
    cuda: false
    nasm: false
    cheetah_version: 0.2.1
    gcc_version_required: 'gcc (GCC) 11.4.0'